## gate.event
Class ObjectModificationEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--gate.event.GateEvent
                  |
                  +--gate.event.ObjectModificationEvent

All Implemented Interfaces:
  Serializable

public class ObjectModificationEvent
extends GateEvent

See Also:
  Serialized Form

Field Summary
`static int` `OBJECT_CREATED`
`static int` `OBJECT_DELETED`
`static int` `OBJECT_MODIFIED`

Fields inherited from class gate.event.GateEvent
`FEATURES_UPDATED`

Constructor Summary
`ObjectModificationEvent(Object source, int type, int subtype)`

Method Summary
`int` `getSubType()`

Methods inherited from class gate.event.GateEvent
`getType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OBJECT_CREATED

    public static final int OBJECT_CREATED

### OBJECT_MODIFIED

    public static final int OBJECT_MODIFIED

### OBJECT_DELETED

    public static final int OBJECT_DELETED

Constructor Detail

### ObjectModificationEvent

    public ObjectModificationEvent(Object source,
                                   int type,
                                   int subtype)

Method Detail

### getSubType

    public int getSubType()